Bug 39780 - antunit doesnt set java.class.path
Summary: antunit doesnt set java.class.path
Status: RESOLVED FIXED
Alias: None
Product: Ant
Classification: Unclassified
Component: AntUnit (show other bugs)
Version: unspecified
Hardware: Other other
: P2 normal (vote)
Target Milestone: ---
Assignee: Ant Notifications List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-11 22:09 UTC by Steve Loughran
Modified: 2021-04-22 08:56 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Loughran 2006-06-11 22:09:28 UTC
this test works on the command line:

  <target name="testPath" depends="define">
    <book:filesize property="size">
      <path path="${java.class.path}"/>
    </book:filesize> 
    <echo> classpath size=${size}</echo>
  </target>

but when run from antunit, it fails cos java.class.path isnt set.
Comment 1 Peter Reilly 2006-10-06 08:42:32 UTC
This was fixed when matt modified antunit.java
"set all properties by calling initProperties().  System props were missing."